import SwiftUI

struct MainButtonStyle: ButtonStyle {
    @Environment(\.isEnabled) private var isEnabled

    func makeBody(configuration: Configuration) -> some View {
        configuration
            .label
            // .font(.body4)
            .frame(height: 44)
            .frame(maxWidth: .infinity)
            .foregroundColor(.white)
            // .background(isEnabled ? Color.brandLight700 : Color.brandLight400)
            .cornerRadius(5)
    }
}

struct LinkButtonStyle: ButtonStyle {
    func makeBody(configuration: Configuration) -> some View {
        configuration
            .label
            // .font(.body4)
            .frame(height: 20)
            // .foregroundColor(.brandLight700)
            .background(Color.clear)
    }
}
